package com.admin.major.service;

import java.util.List;
import com.admin.major.domain.StudentCourse;

/**
 * 学生课程信息Service接口
 * 
 * @author zewei
 * @date 2022-04-07
 */
public interface IStudentCourseService 
{
    /**
     * 查询学生课程信息
     * 
     * @param studentId 学生课程信息主键
     * @return 学生课程信息
     */
    public StudentCourse selectStudentCourseByStudentId(String studentId);

    /**
     * 查询学生课程信息列表
     * 
     * @param studentCourse 学生课程信息
     * @return 学生课程信息集合
     */
    public List<StudentCourse> selectStudentCourseList(StudentCourse studentCourse);

    StudentCourse selectOneStudentCourse(StudentCourse studentCourse);

    /**
     * 新增学生课程信息
     * 
     * @param studentCourse 学生课程信息
     * @return 结果
     */
    public int insertStudentCourse(StudentCourse studentCourse);

    /**
     * 修改学生课程信息
     * 
     * @param studentCourse 学生课程信息
     * @return 结果
     */
    public int updateStudentCourse(StudentCourse studentCourse);

    /**
     * 批量删除学生课程信息
     * 
     * @param studentIds 需要删除的学生课程信息主键集合
     * @return 结果
     */
    public int deleteStudentCourseByStudentIds(String[] studentIds);

    /**
     * 删除学生课程信息信息
     * 
     * @param studentId 学生课程信息主键
     * @return 结果
     */
    public int deleteStudentCourseByStudentId(String studentId);

    boolean saveBatch(List<StudentCourse> courseList);
}
